/* $MirOS: src/include/suma.h,v 1.2 2013/10/31 20:06:09 tg Exp $ */

#ifndef _SUMA_H
#define _SUMA_H

#define SUMA_DIGEST_LENGTH		4
#define SUMA_DIGEST_STRING_LENGTH	(SUMA_DIGEST_LENGTH * 2 + 1)

typedef uint32_t SUMA_CTX;

#define SUMA_DIGEST_UPPERCASE

#include <sys/cdefs.h>

__BEGIN_DECLS
void SUMAInit(SUMA_CTX *);
void SUMAPad(SUMA_CTX *);
void SUMAUpdate(SUMA_CTX *, const uint8_t *, size_t)
	;
void SUMAFinal(uint8_t *, SUMA_CTX *)
	;
char *SUMAEnd(SUMA_CTX *, char *)
	;
char *SUMAFile(const char *, char *)
	;
char *SUMAFileChunk(const char *, char *, off_t, off_t)
	;
char *SUMAData(const uint8_t *, size_t, char *)
	
	;
__END_DECLS

#endif
